gdlmm: Gdl::DockMaster Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdl::DockMaster Class Reference
Inheritance diagram for Gdl::DockMaster:
[legend]
Collaboration diagram for Gdl::DockMaster:
[legend]

## Public Member Functions
virtual | ~DockMaster ()
GdlDockMaster* | gobj ()
| Provides access to the underlying C GObject.
const GdlDockMaster* | gobj () const
| Provides access to the underlying C GObject.
GdlDockMaster* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add (DockObject& object)
void | remove (DockObject& object)
Gdl::DockObject* | get_object (const Glib::ustring& nick_name) const
Gdl::DockObject* | get_controller () const
void | set_controller (DockObject& object)
Glib::PropertyProxy < Glib::ustring > | property_default_title ()
| Default title for newly created floating docks.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_default_title () const
| Default title for newly created floating docks.
Glib::PropertyProxy< int > | property_locked ()
| If is set to 1, all the dock items bound to the master are locked; if it's 0, all are unlocked; -1 indicates inconsistency among the items.
Glib::PropertyProxy_ReadOnly< int > | property_locked () const
| If is set to 1, all the dock items bound to the master are locked; if it's 0, all are unlocked; -1 indicates inconsistency among the items.
Glib::PropertyProxy < SwitcherStyle > | property_switcher_style ()
| Switcher buttons style.
Glib::PropertyProxy_ReadOnly < SwitcherStyle > | property_switcher_style () const
| Switcher buttons style.
Glib::SignalProxy0< void > | signal_layout_changed ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DockMaster > | create ()

## Protected Member Functions
| DockMaster ()
virtual void | on_layout_changed ()
| This is a default handler for the signal signal_layout_changed().

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdl::DockMaster > | wrap (GdlDockMaster* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockMaster::~DockMaster | ( |  | ) |
| virtual

Gdl::DockMaster::DockMaster | ( |  | ) |
| protected

## Member Function Documentation

void Gdl::DockMaster::add | ( | DockObject& | object | ) |

static Glib::RefPtr<DockMaster> Gdl::DockMaster::create | ( |  | ) |
| static

Gdl::DockObject* Gdl::DockMaster::get_controller | ( |  | ) | const

Gdl::DockObject* Gdl::DockMaster::get_object | ( | const Glib::ustring & | nick_name | ) | const

static GType Gdl::DockMaster::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdlDockMaster* Gdl::DockMaster::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdlDockMaster* Gdl::DockMaster::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdlDockMaster* Gdl::DockMaster::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gdl::DockMaster::on_layout_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_layout_changed().

Glib::PropertyProxy< Glib::ustring > Gdl::DockMaster::property_default_title | ( |  | ) |

Default title for newly created floating docks.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gdl::DockMaster::property_default_title | ( |  | ) | const

Default title for newly created floating docks.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::DockMaster::property_locked | ( |  | ) |

If is set to 1, all the dock items bound to the master are locked; if it's 0, all are unlocked; -1 indicates inconsistency among the items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockMaster::property_locked | ( |  | ) | const

If is set to 1, all the dock items bound to the master are locked; if it's 0, all are unlocked; -1 indicates inconsistency among the items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< SwitcherStyle > Gdl::DockMaster::property_switcher_style | ( |  | ) |

Switcher buttons style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< SwitcherStyle > Gdl::DockMaster::property_switcher_style | ( |  | ) | const

Switcher buttons style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockMaster::remove | ( | DockObject& | object | ) |

void Gdl::DockMaster::set_controller | ( | DockObject& | object | ) |

Glib::SignalProxy0< void > Gdl::DockMaster::signal_layout_changed | ( |  | ) |

Slot Prototype:
  `void on_my_layout_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< Gdl::DockMaster > wrap | ( | GdlDockMaster * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockmaster.h